import java.io.*;
import org.apache.poi.hssf.usermodel.*;
import org.apache.poi.poifs.filesystem.*;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.eventusermodel.*;
import org.apache.poi.hssf.record.*;
import org.apache.poi.hssf.dev.EFHSSF;
public class FindStringCellsValues implements HSSFListener
{
   public static void main(String[] args) throws IOException
    {
       FileInputStream fin = new FileInputStream(args[0]);
     
        POIFSFileSystem poifs = new POIFSFileSystem(fin);
        InputStream din = poifs.createDocumentInputStream("Workbook");
          HSSFRequest req = new HSSFRequest();
           req.addListenerForAllRecords(new FindStringCellsValues());
           HSSFEventFactory factory = new HSSFEventFactory();
            factory.processEvents(req, din);
            fin.close();
             din.close();
        System.out.println("STOP");
    }
	SSTRecord sstrecord;
	public void processRecord(Record record)
    {
        switch (record.getSid()) {
            case SSTRecord.sid:
                sstrecord = (SSTRecord) record;
                for (int k = 0; k < sstrecord.getNumUniqueStrings(); k++)
                {
                    System.out.println("String table value " + k + " = " + sstrecord.getString(k));
                }
				System.out.println("\n\n");
                break;
				
            case LabelSSTRecord.sid:
                LabelSSTRecord lrecord = (LabelSSTRecord) record;
                System.out.println("String cell found with value \t"
                        + sstrecord.getString(lrecord.getSSTIndex()));
                break;
            }
   }

   
    
}
